API referenceSessions
Download session recording
Returns a 302 redirect to a presigned S3 URL valid for 5 minutes. Follow the redirect to download the call audio. Returns 404 when the session has no recording (e.g. embed or training sessions).
Authorization
AuthorizationRequiredBearer <token>Send your API key in the Authorization header on every request:
Authorization: Bearer sk_live_.... Keys are created in the admin UI under
Settings → API Keys and are project-scoped.
In: header
Path Parameters
idRequiredstringResponse Body
Redirect to a presigned audio URL.
Resource not found.
TypeScript Definitions
Use the response body type in TypeScript.
errorRequiredobjectcurl -X GET "https://app.meetdolores.ai/v1/sessions/string/recording" \
-H "Authorization: Bearer <token>"fetch("https://app.meetdolores.ai/v1/sessions/string/recording", {
headers: {
"Authorization": "Bearer <token>"
}
})package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://app.meetdolores.ai/v1/sessions/string/recording"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://app.meetdolores.ai/v1/sessions/string/recording"
response = requests.request("GET", url, headers = {
"Authorization": "Bearer <token>"
})
print(response.text)require 'net/http'
require 'json'
require 'uri'
uri = URI('https://app.meetdolores.ai/v1/sessions/sess_01HXY.../recording')
req = Net::HTTP::Get.new(uri, {
'Authorization' => "Bearer #{ENV['DOLORES_API_KEY']}",
})
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body<?php
$ch = curl_init('https://app.meetdolores.ai/v1/sessions/sess_01HXY.../recording');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('DOLORES_API_KEY'),
],
]);
echo curl_exec($ch);Empty
{
"error": {
"type": "invalid_request_error",
"code": "phone_invalid_format",
"message": "string",
"param": "string",
"request_id": "string"
}
}